> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dodopayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Brands

> List all brands.



## OpenAPI

````yaml get /brands
openapi: 3.1.0
info:
  title: public
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 1.102.0
servers:
  - url: https://test.dodopayments.com/
    description: Test Mode Server Host
  - url: https://live.dodopayments.com/
    description: Live Mode Server Host
security: []
tags:
  - name: Products
  - name: Payments
  - name: Subscriptions
  - name: Addons
  - name: Customers
  - name: Refunds
  - name: Disputes
  - name: Events
  - name: License Keys
  - name: Entitlements
  - name: Licenses
  - name: Discounts
  - name: Meters
  - name: Credit Entitlements
  - name: Credit Entitlement Balances
  - name: Outgoing Webhooks
  - name: Checkout
  - name: Webhook Events
paths:
  /brands:
    get:
      tags:
        - Brands
      operationId: list_brands_handler
      responses:
        '200':
          description: List all brands
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListBrandsResponse'
      security:
        - API_KEY: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import DodoPayments from 'dodopayments';

            const client = new DodoPayments({
              bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
            });

            const brands = await client.brands.list();

            console.log(brands.items);
        - lang: Python
          source: |-
            import os
            from dodopayments import DodoPayments

            client = DodoPayments(
                bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"),  # This is the default and can be omitted
            )
            brands = client.brands.list()
            print(brands.items)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/dodopayments/dodopayments-go\"\n\t\"github.com/dodopayments/dodopayments-go/option\"\n)\n\nfunc main() {\n\tclient := dodopayments.NewClient(\n\t\toption.WithBearerToken(\"My Bearer Token\"),\n\t)\n\tbrands, err := client.Brands.List(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", brands.Items)\n}\n"
        - lang: Java
          source: |-
            package com.dodopayments.api.example;

            import com.dodopayments.api.client.DodoPaymentsClient;
            import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;
            import com.dodopayments.api.models.brands.BrandListParams;
            import com.dodopayments.api.models.brands.BrandListResponse;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();

                    BrandListResponse brands = client.brands().list();
                }
            }
        - lang: Kotlin
          source: |-
            package com.dodopayments.api.example

            import com.dodopayments.api.client.DodoPaymentsClient
            import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient
            import com.dodopayments.api.models.brands.BrandListParams
            import com.dodopayments.api.models.brands.BrandListResponse

            fun main() {
                val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()

                val brands: BrandListResponse = client.brands().list()
            }
        - lang: Ruby
          source: |-
            require "dodopayments"

            dodo_payments = Dodopayments::Client.new(
              bearer_token: "My Bearer Token",
              environment: "test_mode" # defaults to "live_mode"
            )

            brands = dodo_payments.brands.list

            puts(brands)
        - lang: PHP
          source: |-
            <?php

            require_once dirname(__DIR__) . '/vendor/autoload.php';

            use Dodopayments\Client;
            use Dodopayments\Core\Exceptions\APIException;

            $client = new Client(
              bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',
              environment: 'test_mode',
            );

            try {
              $brands = $client->brands->list();

              var_dump($brands);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: C#
          source: |-
            using System;
            using DodoPayments.Client;
            using DodoPayments.Client.Models.Brands;

            DodoPaymentsClient client = new();

            BrandListParams parameters = new();

            var brands = await client.Brands.List(parameters);

            Console.WriteLine(brands);
components:
  schemas:
    ListBrandsResponse:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/BrandResponse'
          description: List of brands for this business
    BrandResponse:
      type: object
      required:
        - brand_id
        - business_id
        - enabled
        - statement_descriptor
        - verification_status
        - verification_enabled
      properties:
        brand_id:
          type: string
        business_id:
          type: string
        description:
          type:
            - string
            - 'null'
        enabled:
          type: boolean
        image:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        reason_for_hold:
          type:
            - string
            - 'null'
          description: Incase the brand verification fails or is put on hold
        statement_descriptor:
          type: string
        support_email:
          type:
            - string
            - 'null'
        url:
          type:
            - string
            - 'null'
        verification_enabled:
          type: boolean
        verification_status:
          $ref: '#/components/schemas/BrandVerificationStatus'
    BrandVerificationStatus:
      type: string
      enum:
        - Success
        - Fail
        - Review
        - Hold
  securitySchemes:
    API_KEY:
      type: http
      scheme: bearer

````